:root {
    --block-padding: 120px;
}

.vacancy__pill {
    display: flex;
    align-items: center;
    gap: 6px;
    padding: 6px 16px;
    border-radius: 56px;
    background: #EBF4FF;
    border: 1px solid #2589FF;
    width: fit-content;
    font-weight: 500;
    font-size: 18px;
    line-height: 150%;
    letter-spacing: -2%;
    text-transform: uppercase;
    color: #258BFF;
}

.vacancy__pill .vacancy__pill-icon {
    height: 24px;
    width: auto;
}

.vacancy__title-wrapper {
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
    gap: 20px;
}

.vacancy__title-wrapper .page-text {
    max-width: 625px;
}

.block-title {
    font-weight: 700;
    font-size: 44px;
    line-height: 120%;
    letter-spacing: -1%;
    color: var(--Secondary-500-Text-Heading, #474766);
}

.block-title .blue {
    color: #258BFF
}

.block-title.center {
    text-align: center;
}

.page-block {
    padding-top: var(--block-padding);
    padding-bottom: var(--block-padding);
}

@media (max-width: 1100px) {
    :root {
        --block-padding: 96px;
    }

    .vacancy__title-wrapper {
        flex-direction: column;
        align-items: flex-start;
    }

    .vacancy__title-wrapper .page-text {
        max-width: 100%;
    }

    .block-title {
        font-size: 38px;
    }

    .vacancy__pill {
        font-size: 16px;
    }
}

@media (max-width: 768px) {
    :root {
        --block-padding: 72px;
    }

    .block-title {
        font-size: 30px;
    }

    .vacancy__pill {
        font-size: 14px;
        padding: 6px 12px;
    }

    .vacancy__pill .vacancy__pill-icon {
        height: 20px;
    }
}

@media (max-width: 520px) {
    :root {
        --block-padding: 56px;
    }

    .block-title {
        font-size: 26px;
    }
}
